# Class WrapperUtil

java.lang.Object
com.databricks.jdbc.common.util.WrapperUtil

public class WrapperUtil extends Object

## Constructor Summary

Constructors
Constructor
Description
`WrapperUtil()`

## Method Summary

Modifier and Type
Method
Description
`static boolean`
`isWrapperFor(Class<?> iface, Object object)`
`static <T> T`
`unwrap(Class<T> iface, Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### WrapperUtil

public WrapperUtil()

## Method Details

### isWrapperFor

public static boolean isWrapperFor(Class<?> iface, Object object)

### unwrap

public static <T> T unwrap(Class<T> iface, Object object) throws SQLException

Throws:
  `SQLException`